DROP DATABASE IF EXISTS ds_test_core;
CREATE DATABASE ds_test_core;
GRANT ALL ON ds_test_core.* TO 'dstest'@localhost IDENTIFIED BY 'dstest';

use ds_test_core;

create table book (
	id bigint not null auto_increment,
	version bigint not null,
	author varchar(255) not null,
	library_id bigint not null,
	title varchar(255) not null,
	primary key (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

create table library (
	id bigint not null auto_increment,
	version bigint not null,
	name varchar(255) not null,
	primary key (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

alter table book add index FK2E3AE9DB6F9AB7 (library_id),
add constraint FK2E3AE9DB6F9AB7 foreign key (library_id) references library (id);

