dataSource {
	pooled = true
	driverClassName = 'com.mysql.jdbc.Driver'
	dialect = org.hibernate.dialect.MySQL5InnoDBDialect
}
hibernate {
	cache.use_second_level_cache = true
	cache.use_query_cache = true
	show_sql = false
	cache.provider_class = 'org.hibernate.cache.EhCacheProvider'
}

environments {
	development {
		dataSource {
			url = 'jdbc:mysql://localhost/ds_test_core'
			username = 'dstest'
			password = 'dstest'
		}
	}
	test {
		dataSource {
			url = 'jdbc:hsqldb:mem:testDb'
		}
	}
	production {
		dataSource {
			url = 'jdbc:mysql://localhost/ds_test_core'
			username = 'dstest'
			password = 'dstest'
		}
	}
}
