<meta name="layout" content="main" />
<title>Edit State</title>

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="list" action="list">State List</g:link></span>
	<span class="menuButton"><g:link class="create" action="create">New State</g:link></span>
</div>

<div class="body">
	<h1>Edit State</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<g:hasErrors bean="${state}">
	<div class="errors">
		<g:renderErrors bean="${state}" as="list" />
	</div>
	</g:hasErrors>

	<g:form method="post" >
		<input type="hidden" name="id" value="${state?.id}" />
		<div class="dialog">
			<table>
				<tbody>

					<tr class="prop">
						<td valign="top" class="name"><label for="name">Name:</label></td>
						<td valign="top" class="value ${hasErrors(bean:state,field:'name','errors')}">
							<input type="text" maxlength="128" id="name" name="name" value="${fieldValue(bean:state,field:'name')}"/>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="code">Code:</label></td>
						<td valign="top" class="value ${hasErrors(bean:state,field:'code','errors')}">
							<input type="text" maxlength="2" id="code" name="code" value="${fieldValue(bean:state,field:'code')}"/>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="country">Country:</label></td>
						<td valign="top" class="value ${hasErrors(bean:state,field:'country','errors')}">
							<g:select optionKey="id" from="${com.burtbeckwith.ds_test.domain.Country.list()}" name="country.id" value="${state?.country?.id}" ></g:select>
						</td>
					</tr>

				</tbody>
			</table>
		</div>

		<div class="buttons">
			<span class="button"><g:actionSubmit class="save" value="Update" /></span>
			<span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
		</div>

	</g:form>
</div>
