<meta name="layout" content="main" />
<title>Create Book</title>		 

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="list" action="list">Book List</g:link></span>
</div>

<div class="body">
	<h1>Create Book</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<g:hasErrors bean="${book}">
	<div class="errors">
		<g:renderErrors bean="${book}" as="list" />
	</div>
	</g:hasErrors>
	<g:form action="save" method="post" >
		<div class="dialog">
			<table>
				<tbody>

					<tr class="prop">
						<td valign="top" class="name"><label for="author">Author:</label></td>
						<td valign="top" class="value ${hasErrors(bean:book,field:'author','errors')}">
							<input type="text" id="author" name="author" value="${fieldValue(bean:book,field:'author')}"/>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="title">Title:</label></td>
						<td valign="top" class="value ${hasErrors(bean:book,field:'title','errors')}">
							<input type="text" id="title" name="title" value="${fieldValue(bean:book,field:'title')}"/>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="library">Library:</label></td>
						<td valign="top" class="value ${hasErrors(bean:book,field:'library','errors')}">
							<g:select optionKey="id" from="${com.burtbeckwith.ds_test.domain.Library.list()}"
								name="library.id" value="${book.library?.id}"/>
						</td>
					</tr>

				</tbody>
			</table>
		</div>

		<div class="buttons">
			<span class="button"><input class="save" type="submit" value="Create" /></span>
		</div>

	</g:form>
</div>
