<meta name="layout" content="main" />
<title>Book List</title>

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="create" action="create">New Book</g:link></span>
</div>

<div class="body">
	<h1>Book List</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<div class="list">
		<table>
			<thead>
				<tr>
	   			<g:sortableColumn property="id" title="ID" />
	   			<g:sortableColumn property="author" title="Author" />
	   			<g:sortableColumn property="title" title="Title" />
	   			<th>Library</th>
				</tr>
			</thead>
			<tbody>
			<g:each in="${books}" status="i" var="book">
				<tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
					<td><g:link action="show" id="${book.id}">${fieldValue(bean:book, field:'id')}</g:link></td>
					<td>${fieldValue(bean:book, field:'author')}</td>
					<td>${fieldValue(bean:book, field:'title')}</td>
					<td>${fieldValue(bean:book, field:'library')}</td>
				</tr>
			</g:each>
			</tbody>
		</table>
	</div>

	<div class="paginateButtons">
		<g:paginate total="${com.burtbeckwith.ds_test.domain.Book.count()}" />
	</div>
</div>
