<meta name="layout" content="main" />
<title>Edit Country</title>

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="list" action="list">Country List</g:link></span>
	<span class="menuButton"><g:link class="create" action="create">New Country</g:link></span>
</div>

<div class="body">
	<h1>Edit Country</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<g:hasErrors bean="${country}">
	<div class="errors">
		<g:renderErrors bean="${country}" as="list" />
	</div>
	</g:hasErrors>
	<g:form method="post" >
		<input type="hidden" name="id" value="${country?.id}" />
		<div class="dialog">
			<table>
				<tbody>

					<tr class="prop">
						<td valign="top" class="name"><label for="name">Name:</label></td>
						<td valign="top" class="value ${hasErrors(bean:country,field:'name','errors')}">
							<input type="text" maxlength="128" id="name" name="name" value="${fieldValue(bean:country,field:'name')}"/>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="code">Code:</label></td>
						<td valign="top" class="value ${hasErrors(bean:country,field:'code','errors')}">
							<input type="text" maxlength="2" id="code" name="code" value="${fieldValue(bean:country,field:'code')}"/>
						</td>
					</tr>

				</tbody>
			</table>
		</div>

		<div class="buttons">
			<span class="button"><g:actionSubmit class="save" value="Update" /></span>
			<span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
		</div>
	</g:form>
</div>
