<meta name="layout" content="main" />
<title>Edit Library</title>

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="list" action="list">Library List</g:link></span>
	<span class="menuButton"><g:link class="create" action="create">New Library</g:link></span>
</div>

<div class="body">
	<h1>Edit Library</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<g:hasErrors bean="${library}">
	<div class="errors">
		<g:renderErrors bean="${library}" as="list" />
	</div>
	</g:hasErrors>
	<g:form method="post" >
		<input type="hidden" name="id" value="${library?.id}" />
		<div class="dialog">
			<table>
				<tbody>

					<tr class="prop">
						<td valign="top" class="name"><label for="name">Name:</label></td>
						<td valign="top" class="value ${hasErrors(bean:library,field:'name','errors')}">
							<input type="text" id="name" name="name" value="${fieldValue(bean:library,field:'name')}"/>
						</td>
					</tr>

				</tbody>
			</table>
		</div>

		<div class="buttons">
			<span class="button"><g:actionSubmit class="save" value="Update" /></span>
			<span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
		</div>

	</g:form>
</div>
