<meta name="layout" content="main" />
<title>Edit Visit</title>

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="list" action="list">Visit List</g:link></span>
	<span class="menuButton"><g:link class="create" action="create">New Visit</g:link></span>
</div>

<div class="body">
	<h1>Edit Visit</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<g:hasErrors bean="${visit}">
	<div class="errors">
		<g:renderErrors bean="${visit}" as="list" />
	</div>
	</g:hasErrors>

	<g:form method="post" >
		<input type="hidden" name="id" value="${visit?.id}" />
		<div class="dialog">
			<table>
				<tbody>

					<tr class="prop">
						<td valign="top" class="name"><label for="library">Library:</label></td>
						<td valign="top" class="value ${hasErrors(bean:visit,field:'libraryId','errors')}">
							<g:select optionKey="id" from="${com.burtbeckwith.ds_test.domain.Library.list()}" name="libraryId" value="${libraryId}" ></g:select>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="libraryId">Library ID:</label></td>
						<td valign="top" class="value ${hasErrors(bean:visit,field:'libraryId','errors')}">
							<input type="text" id="libraryId" name="libraryId" value="${fieldValue(bean:visit,field:'libraryId')}" />
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="person">Person:</label></td>
						<td valign="top" class="value ${hasErrors(bean:visit,field:'person','errors')}">
							<input type="text" id="person" name="person" value="${fieldValue(bean:visit,field:'person')}"/>
						</td>
					</tr>

					<tr class="prop">
						<td valign="top" class="name"><label for="visitDate">Visit Date:</label></td>
						<td valign="top" class="value ${hasErrors(bean:visit,field:'visitDate','errors')}">
							<g:datePicker name="visitDate" value="${visit?.visitDate}" ></g:datePicker>
						</td>
					</tr>

				</tbody>
			</table>
		</div>

		<div class="buttons">
			<span class="button"><g:actionSubmit class="save" value="Update" /></span>
			<span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
		</div>

	</g:form>
</div>
