<meta name="layout" content="main" />
<title>Visit List</title>

<div class="nav">
	<span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
	<span class="menuButton"><g:link class="create" action="create">New Visit</g:link></span>
</div>

<div class="body">
	<h1>Visit List</h1>
	<g:if test="${flash.message}">
	<div class="message">${flash.message}</div>
	</g:if>
	<div class="list">
		<table>
			<thead>
				<tr>
	   			<g:sortableColumn property="id" title="ID" />
	   			<g:sortableColumn property="libraryId" title="Library" />
	   			<g:sortableColumn property="person" title="Person" />
	   			<g:sortableColumn property="visitDate" title="Visit Date" />
				</tr>
			</thead>
			<tbody>
			<g:each in="${visits}" status="i" var="visit">
				<tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
					<td><g:link action="show" id="${visit.id}">${fieldValue(bean:visit, field:'id')}</g:link></td>
					<td>${fieldValue(bean:visit.library, field:'name')}</td>
					<td>${fieldValue(bean:visit, field:'person')}</td>
					<td>${fieldValue(bean:visit, field:'visitDate')}</td>
				</tr>
			</g:each>
			</tbody>
		</table>
	</div>

	<div class="paginateButtons">
		<g:paginate total="${com.burtbeckwith.ds_test.domain.Visit.count()}" />
	</div>
</div>
